# api_msg.h File Reference

`#include "net/opt.h"`
`#include "net/pbuf.h"`
`#include "net/sys.h"`
`#include "net/ipv4/ip.h"`
`#include "net/udp.h"`
`#include "net/tcp.h"`
`#include "net/api.h"`

Go to the source code of this file.

## Data Structures

struct | api_msg
struct | api_msg_msg

## Enumerations

enum | api_msg_type { API_MSG_NEWCONN, API_MSG_DELCONN, API_MSG_BIND, API_MSG_CONNECT, API_MSG_LISTEN, API_MSG_ACCEPT, API_MSG_SEND, API_MSG_RECV, API_MSG_WRITE, API_MSG_CLOSE, API_MSG_MAX }

## Functions

void | api_msg_input (struct api_msg *msg)
void | api_msg_post (struct api_msg *msg)

## Enumeration Type Documentation

enum api_msg_type

Enumerator:

  API_MSG_NEWCONN |
  API_MSG_DELCONN |
  API_MSG_BIND |
  API_MSG_CONNECT |
  API_MSG_LISTEN |
  API_MSG_ACCEPT |
  API_MSG_SEND |
  API_MSG_RECV |
  API_MSG_WRITE |
  API_MSG_CLOSE |
  API_MSG_MAX |

Definition at line 49 of file api_msg.h.

## Function Documentation

void api_msg_input | ( | struct api_msg * | msg | ) |

Definition at line 517 of file api_msg.c.

References decode, and api_msg_msg::msg.

Referenced by tcpip_thread().

void api_msg_post | ( | struct api_msg * | msg | ) |

Definition at line 523 of file api_msg.c.

References api_msg_msg::msg, and tcpip_apimsg().

Referenced by netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_recv(), netconn_send(), and netconn_write().